Skip to main content
GET
Retrieves the details of a voucher for a given consumer.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer_id
string
required

The id you used to create the given consumer

voucher_id
string<uuid>
required

Unique ID of the voucher on PayLead.

Response

OK

offer_id
string<uuid>
required
read-only

Unique UUID of the offer

Example:

"94b36765-a06c-4baf-a33c-40e43686a96a"

price
number
required
read-only

Price paid by the consumer.

status
enum<string>
required
read-only

Current status of the voucher.

Available options:
RESERVED,
CANCELLED,
CONFIRMED,
READY,
REFUNDING,
REFUNDED,
REFUND_REJECTED
Maximum string length: 15
value
number
required
read-only

Nominal value of the voucher.

brand
object
codes
object[]
read-only

List of codes to be used in merchant shop.

id
string<uuid>
read-only

Unique ID of the object.

Example:

"e2c32b4b-de61-459b-accf-a75f76247946"

reservation_date
string<date>
read-only

Date when the voucher has been reserved.

reservation_expired_date
string<date>
read-only

Date when the reservation expired. If this date is passed, the voucher is automatically cancelled.

validity_date
string<date>
read-only

voucher validity date, after this date the voucher is not valid anymore and can't be used.